## ncftp 3.2.5

=== debian/changelog ===
ncftp (2:3.2.5-2) unstable; urgency=medium

  * acknowledge the NMU: Thanks Jakub and Lucas! closes: #666352
  * debian/compat "raised" to compat 9
  * added reproducible patch. Thanks Reiner closes: #829249
  * fixed rmdir with trailing /. Thanks Bart closes: #352425
  * updated to Standard-Version 3.9.8. removed debian/menu
  * fixed lintian hardening-no-*
  * fixed lintian maintainer-script-without-set-e
  * added debian/watch

 -- Noël Köthe <noel@debian.org>  Fri, 01 Jul 2016 19:19:28 +0200

ncftp (2:3.2.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Make build-stamp depend on configure-stamp (closes: #666352). Thanks to
    Lucas Nussbaum for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 12 May 2012 11:30:35 +0200

ncftp (2:3.2.5-1) unstable; urgency=low

  * new upstream release from 2011-01-17
    - no bookmark question by default. closes: Bug#57463
  * updated Standards-Version without changes to 3.9.2
  * fixed lintian warnings
    - description-synopsis-starts-with-article
    - debian-rules-missing-recommended-target

 -- Noèl Köthe <noel@debian.org>  Thu, 21 Jul 2011 15:50:43 +0200

ncftp (2:3.2.4-1) unstable; urgency=low

  * new upstream release 2010-04-07
    closes: Bug#579585
  * replaced libreadline5-dev build dependency with libreadline-dev
    closes: Bug#553815
  * updated Standards: Version
  * lintian warning: corrected section of menu
    (Applications/Network/File Transfer)

 -- Noèl Köthe <noel@debian.org>  Thu, 13 May 2010 19:47:38 +0200

ncftp (2:3.2.2-1) unstable; urgency=low

  * new upstream 2008-08-18
  * updated Standards Version
  * added Homepage:
  * updated description - removed ncftp2
  * update history of packaging in copyright

 -- Noèl Köthe <noel@debian.org>  Sat, 21 Feb 2009 20:13:08 +0100

ncftp (2:3.2.1-1) unstable; urgency=low

  * new upstream 2007-07-29
  * updated Standards-Version

 -- Noèl Köthe <noel@debian.org>  Thu, 16 Aug 2007 12:49:22 +0200

ncftp (2:3.2.0-1) unstable; urgency=medium

  * new upstream 2005-08-05
  * updated Standards-Version

 -- Noèl Köthe <noel@debian.org>  Tue, 24 Oct 2006 22:15:38 +0200

ncftp (2:3.1.9-1) unstable; urgency=low

  * new upstream 2005-04-06
    (closes: Bug#305769)
  * switched from readline4 to 5

 -- Noèl Köthe <noel@debian.org>  Thu, 26 May 2005 13:04:25 +0200

ncftp (2:3.1.8-1) unstable; urgency=low

  * new upstream from 2004-07-27
  * corrected ncftpspooler link
    (closes: Bug#234001)

 -- Noèl Köthe <noel@debian.org>  Tue, 10 Aug 2004 20:52:18 +0200

ncftp (2:3.1.7-1) unstable; urgency=low

  * new upstream from 2004-01-07
  * from upstream changelog:
    "Fixed a memory leak introduced in 3.1.6."
    (closes: Bug#188371)

 -- Noèl Köthe <noel@debian.org>  Fri, 13 Feb 2004 21:25:20 +0100

ncftp (2:3.1.6-1) unstable; urgency=low

  * new upstream from 2003-08-25
  * 3.1.6 fixes the problem with 8bit chars at the ncftp prompt
    (closes: Bug#166542)
  * removed outdated README.Debian
  * updated Standards-Version
  * included the ncftpbookmarks manpage to the binary packages
    and not only in the source (thanks Nicolas)
    (closes: Bug#208479)

 -- Noèl Köthe <noel@debian.org>  Sat,  3 Jan 2003 13:09:00 +0100

ncftp (2:3.1.5-3) unstable; urgency=low

  * changed the adv sentence to a just good bye
    (closes: Bug#199031)
  * added manpage for ncftpbookmarks from Nicolas Duboc (thanks!)
    (closes: Bug#200038)
  * added missing -e option of ncftpput manpage
    (closes: Bug#183808)
  * updated Standards-Version

 -- Noel Koethe <noel@debian.org>  Tue, 29 Jul 2003 16:09:00 +0200

ncftp (2:3.1.5-2) unstable; urgency=low

  * corrected --sysconfdir typo
    (closes: Bug#180574)
    (closes: Bug#183473)
  * updated Standards-Version to 3.5.9

 -- Noel Koethe <noel@debian.org>  Sun,  6 Apr 2003 22:49:00 +0100

ncftp (2:3.1.5-1) unstable; urgency=low

  * new upstream from 2002-10-13
    (closes: Bug#164736)
  * I asked upstream to check the open Debian bugs and he
    helped me with the bugs which are fixed "" are the quotes
    from upstream (thanks Mike!):
  * "This has been fixed."
    (closes: Bug#63263)
  * "This doesn't satisfy our command-line argument syntax."
    (closes: Bug#117373)
  * "There is an "ls -f" method of forcing a refresh, but we
    don't plan on adding a complete flush."
    (closes: Bug#150433)
  * "I think that issue has been fixed."
    (closes: Bug#106298)
  * "The program erases the password from memory ASAP after
    opening for security reasons."
    (closes: Bug#146005)

 -- Noel Koethe <noel@debian.org>  Mon, 14 Oct 2002 21:51:00 +0200

ncftp (2:3.1.4-2) unstable; urgency=low

  * took package from Muhammad
    (closes: Bug#162055)
  * updated Standards-Version

 -- Noel Koethe <noel@debian.org>  Mon, 23 Sep 2002 21:20:00 +0200

ncftp (2:3.1.4-1) unstable; urgency=low

  * New Upstream release.
  * Readline support using patch from Shane Wegner <shane@debian.org>

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Sun,  7 Jul 2002 20:51:03 +0100

ncftp (2:3.1.3-1) unstable; urgency=low

  * New Upstream release. Closes: #134049, #99090, #136178
  * Readline support using patch from Shane Wegner <shane@cm.nu>

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Wed,  3 Apr 2002 13:07:08 +0100

ncftp (2:3.1.2-1) unstable; urgency=low

  * New Upstream Release.
  * Readline support using patch from Shane Wegner <shane@cm.nu>

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Sat,  2 Feb 2002 12:47:38 +0000

ncftp (2:3.1.1-3) unstable; urgency=low

  * Amended debian/control file to detail Readline support. 

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Sat, 19 Jan 2002 15:32:52 +0000

ncftp (2:3.1.1-2) unstable; urgency=low

  * Enabled readline support using patch from Shane Wegner <shane@cm.nu>

 -- Muhammad Hussain Yusuf <yusuf@debian.org>  Thu, 17 Jan 2002 14:32:43 +0000

ncftp (2:3.1.1-1) unstable; urgency=low

  * New Upstream Release.
  * Closes: #128637, #128636
  

