=== debian/control ===
Source: ncftp
Section: net
Priority: optional
Maintainer: Noël Köthe <noel@debian.org>
Build-Depends: debhelper (>> 9.0.0), libncurses5-dev, libreadline-dev
Standards-Version: 3.9.8
Homepage: http://www.ncftpd.com/ncftp/

Package: ncftp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: User-friendly and well-featured FTP client
 Ncftp allows a user to transfer files to and from a remote network
 site, and offers additional features that are not found in the standard
 interface, ftp. This version has Readline support enabled.
