## ncftp 3.2.6

=== debian/changelog ===
ncftp (2:3.2.6-1) unstable; urgency=medium

  * new upstream release from 2016-11-27 ;)
    closes: Bug#1006421
  * updated Homepage and watch file closes: Bug#1006423
  * fix tar path in debian/rules. Thanks Simon! closes: Bug#992645
  * include architecture.mk in debian/rules to fix cross building.
    Thanks Helmut! closes: Bug#902803
  * raised to debhelper 13
  * updated to Standards-Version 4.6.1

 -- Noël Köthe <noel@debian.org>  Sun, 17 Jul 2022 20:24:42 +0200

ncftp (2:3.2.5-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957582)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Aug 2020 18:17:17 +0100

ncftp (2:3.2.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix sh/autoconfall.sh, based on a fix from Helmut Grohne.
    (Closes: #874261)

 -- Adrian Bunk <bunk@debian.org>  Sun, 24 Jun 2018 17:41:59 +0300
