=== debian/control ===
Source: ncftp
Section: net
Priority: optional
Maintainer: Noël Köthe <noel@debian.org>
Build-Depends: debhelper-compat (= 13), debhelper (>> 13.0.0), libncurses5-dev, libreadline-dev
Standards-Version: 4.6.1
Homepage: https://www.ncftp.com/ncftp/
Rules-Requires-Root: no

Package: ncftp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: User-friendly and well-featured FTP client
 Ncftp allows a user to transfer files to and from a remote network
 site, and offers additional features that are not found in the standard
 interface, ftp. This version has Readline support enabled.
