=== debian/watch ===
version=3
https://www.ncftp.com/download/ .*/ncftp-(\d.*)-src\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
