## ncftp 3.2.7

=== debian/changelog ===
ncftp (2:3.2.7-1) unstable; urgency=medium

  * Team upload

  [ Alexandre Detiste ]
  * New upstream version 3.2.7
  * refresh patches
  * fix FTCBFS (Closes: #1033577)
  * import on Salsa
  * reformat with debputy
  * replace obsolete libncurses5-dev with libncurses-dev

  [ Andreas Tille ]
  * Build-Depend: debhelper-compat (= 13) is sufficient, drop debhelper
  * Standards-Version: 4.7.0 (routine-update)
  * No tab in license text (routine-update)
  * Update watch file format version to 4.
  * Fix day-of-week for changelog entry 2:3.1.6-1.
  * d/rules: short dh
  * Fix FTCBFS: Pass cross tools and --host to configure.
    Closes: #1033577
  * Fix clean target
    Closes: #1047654

  [ наб ]
  * autoupdate
  * dh_autoreconf sh/autoconfall.sh
    Closes: #1066410
  * Remove __DATE__
  * Hard-code SELECT_TYPE_ARG* correctly
  * Always use [fl]stat() and struct stat verbatim
  * d/manpages: install debian/ncftpbookmarks.1 again
  * Trim out broken curses check

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sat, 15 Feb 2025 17:50:58 +0100
