=== debian/control ===
Source: ncftp
Section: net
Priority: optional
Maintainer: Noël Köthe <noel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
 libreadline-dev,
Standards-Version: 4.7.0
Homepage: https://www.ncftp.com/ncftp/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/ncftp
Vcs-Git: https://salsa.debian.org/debian/ncftp.git
X-Style: black

Package: ncftp
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: User-friendly and well-featured FTP client
 Ncftp allows a user to transfer files to and from a remote network
 site, and offers additional features that are not found in the standard
 interface, ftp. This version has Readline support enabled.
