=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_CFLAGS_MAINT_APPEND = -DNO_SSLv2 -D_FILE_OFFSET_BITS=64 -g -Wall

BINDIR=$(CURDIR)/debian/ncftp/usr/bin
MANDIR=$(CURDIR)/debian/ncftp/usr/share/man/man1

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf sh/autoconfall.sh

override_dh_auto_configure:
	dh_auto_configure -- --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)

override_dh_install:
	dh_install
	mv $(BINDIR)/ncftp $(BINDIR)/ncftp3
	mv $(MANDIR)/ncftp.1 $(MANDIR)/ncftp3.1
